.giftcardtypemain {
    justify-content: center;
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(210px, 1fr));
    // grid-template-columns: repeat(auto-fit);
    // grid-template-columns: auto auto auto auto;
}

.individual-content{
    display: flex;
    justify-content: end;
}

.card-box {
    text-align: center;
    border-radius: 10px;
    padding: 20px 15px;
    max-width: 450px;
    width: 100%;
    margin: 30px 50px;
    cursor: pointer;
    color: #131313;
    border: 2px solid rgba(0,0,0,.125);

    &.active{
        border: 2px solid #B11A83;
    }

    &:hover{
        background: linear-gradient(180deg, #562A83 0%, #B11A83 100%);
        color: white;

        .type-circle {
            background: white;

            .logo-white {
                display: none;

            }

            .logo-color {
                display: inline-block;
                margin-top: 20px;
            }
        }
    }

    .card-content {
        pointer-events: none;
    }

    .type-circle {
        width: 80px;
        height: 80px;
        border-radius: 50%;
        background: linear-gradient(180deg, #562A83 0%, #B11A83 100%);
        margin: auto;
        pointer-events: none;

        .logo-white {
            display: inline-block;
            margin-top: 20px;
        }

        .logo-color {
            display: none;
        }

        .vector-ci-1 {
            position: absolute;
            left: 34.38%;
            right: 34.38%;
            top: 3.12%;
            bottom: 65.62%;
            background: #9B5FAA;
            width: 9.38px;
            height: 9.38px;
            top: 0.94px;
            left: 10.31px;
        }

    }

    .title {
        font-family: 'BR Firma';
        font-style: normal;
        font-weight: 600;
        font-size: 24px;
        line-height: 30px;
        margin: 30px 0;
        pointer-events: none;
    }

    .descriptions {
        font-family: 'BR Firma';
        font-style: normal;
        font-weight: 600;
        font-size: 16px;
        line-height: 30px;
        text-align: center;
        margin-bottom: 30px;
        pointer-events: none;
    }
}


@media screen and (max-width: 1100px) {
    .container {
        max-width: 90%;
    }

    .individual-content{
        display: block;
        justify-content: center;
    }

    .card-box {
        max-width: auto;
        width: 100%;
        margin: 0px;
        margin-bottom: 20px;
    }
}


@media screen and (max-width: 550px) {

    .individual-content{
        display: block;
        justify-content: center;
    }

    .card-box {
        padding: 20px 15px;
        max-width: 100%;
        width: 100%;
        margin: 0px;
        margin-bottom: 20px;

        .type-circle {
            width: 80px;
            height: 80px;
            border-radius: 50%;
            background: linear-gradient(180deg, #562A83 0%, #B11A83 100%);
            margin: auto;
            pointer-events: none;

            .logo-white {
                display: inline-block;
                margin-top: 20px;
            }

            .logo-color {
                display: none;
            }

            .vector-ci-1 {
                position: absolute;
                left: 34.38%;
                right: 34.38%;
                top: 3.12%;
                bottom: 65.62%;
                background: #9B5FAA;
                width: 9.38px;
                height: 9.38px;
                top: 0.94px;
                left: 10.31px;
            }

        }

        .title {
            font-family: 'BR Firma';
            font-style: normal;
            font-weight: 600;
            font-size: 24px;
            line-height: 30px;
            margin: 30px 0;
            pointer-events: none;
        }

        .descriptions {
            font-family: 'BR Firma';
            font-style: normal;
            font-weight: 600;
            font-size: 16px;
            line-height: 30px;
            text-align: center;
            margin-bottom: 30px;
            pointer-events: none;
        }
    }

}